Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • account_uuid string Required
  • uuid string Required
application/json

Body

  • name string

    Description of contact detail

  • value string

    Value of contact detail

  • primary boolean

    Make this contact type the primary contact. Will make all other contact details of the same type no longer primary.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      Contact detail type

    • name string

      Contact detail description

    • value string

      Contact detail value

    • phone_number_meta object

      If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      Hide phone_number_meta attributes Show phone_number_meta attributes object
      • country string
      • formatted string
    • accounts object

      Accounts that own contact detail

      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • custom_fields string
      • external_references string
PUT /api/v1/account/{account_uuid}/contact-detail/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed/contact-detail/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Work phone number","value":"+443330903630","primary":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Work phone number",
  "value": "+443330903630",
  "primary": true
}
Response examples (200)
+443330903630